---
title: "Clear Linux Encrypted xfs Root"
date: 2019-04-13T21:44:37-07:00
draft: false
tags: ["xfs","clear-linux","luks"]
authors: ["trent"]
---
date: 2019-04-13T21:44:37-07:00
## **Nothing to-it Burger**
I had intended to create a technical explanation how to install Clear Linux with disk encryption,
with xfs. But that turned out to be unnecessary
because the latest version of the installer handles setting that up automatically.

Previously, I had written down the steps needed
to [get LMDE 3 installed using disk encryption with xfs](lmde3-xfs-full-disk-encryption.md){target=_blank}, which required manual intervention.

And indeed, a few months ago, the Clear Linux installer only supported xfs with disk encryption if you could
supply some manual intervention. However, the latest Clear Linux installer can set up disk encryption with luks and xfs, automatically.

Just follow [the instructions](https://clearlinux.org/documentation/clear-linux/get-started/bare-metal-install){target=_blank}, no special skills needed.
